from tornado import web
from config import settings,port,mysql

import peewee_async
db= peewee_async.MySQLDatabase(**mysql)
obj = peewee_async.Manager(db)

from router import handlers
class Application(web.Application):
    def __init__(self,*arg,**kwargs):
        super(Application,self).__init__(*arg,**kwargs)
        self.db = db
        self.obj = obj

def create_app():
    app =Application(handlers,**settings)
    app.listen(port)
    return app